Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class BinaryValue

    java.lang.Object
      |
      +--com.bea.content.BinaryValue

All Implemented Interfaces:
  Serializable

public class BinaryValue
extends Object
implements Serializable

This class represents binary content. It contains the binary data along with binary metadata.

A BinaryValue must always contain the contentType, name and size. If the bytes are not present (they are not contained on when retrieving a Property for performance reasons), they can be retrieved through NodeOps for Property bytes and ObjectClassOps for PropertyChoice bytes. A size of -1, means it is not available.

After using a BinaryValue, it is necessary to close the value InputStream.

See Also:
  Serialized Form

Constructor Summary
`BinaryValue()` Constructs an empty BinaryValue.
`BinaryValue(String contentType, String name, int size)` Constructs a BinaryValue without the bytes.
`BinaryValue(String contentType, String name, int size, InputStream value)` Constructs a full BinaryValue.

Method Summary
`String` | `getContentType()` Gets the content type for the binary data.
`String` | `getName()` Gets the filename for the binary data, including the file extension.
`int` | `getSize()` Returns the size in bytes.
`InputStream` | `getValue()` Gets the binary data.
`void` | `setContentType(String contentType)` Sets the content type for the binary data.
`void` | `setName(String name)` Sets the filename for the binary data, including the file extension.
`void` | `setSize(int size)` Sets the size in bytes.
`void` | `setValue(InputStream value)` Sets the binary data.
`String` | `toString()` Returns the BinaryValue's name as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryValue

    public BinaryValue()

  Constructs an empty BinaryValue.

### BinaryValue

    public BinaryValue(String contentType,
                       String name,
                       int size)

  Constructs a BinaryValue without the bytes.

Parameters:
  `contentType` - - must have the mimeType and optionally the charset in format "mimetypevalue;charset=charsetvalue". For example, "text/html;charset=iso-8859-1"
  `name` - - the filename including the extension. For example, foo.html
  `size` - - the size in bytes of the binary value.

### BinaryValue

    public BinaryValue(String contentType,
                       String name,
                       int size,
                       InputStream value)

  Constructs a full BinaryValue.

Parameters:
  `contentType` - - must have the mimeType and optionally the charset in format "mimetypevalue;charset=charsetvalue". For example, "text/html;charset=iso-8859-1"
  `name` - - the filename including the extension. For example, foo.html
  `size` - - the size in bytes of the binary value.
  `value` - - the the binary value as a an InputStream.

Method Detail

### getContentType

    public String getContentType()

  Gets the content type for the binary data. For example, "mimetypevalue;charset=charsetvalue"

### setContentType

    public void setContentType(String contentType)

  Sets the content type for the binary data. For example, "mimetypevalue;charset=charsetvalue".

### getName

    public String getName()

  Gets the filename for the binary data, including the file extension. For example, foo.html

### setName

    public void setName(String name)

  Sets the filename for the binary data, including the file extension. For example, foo.html

### getValue

    public InputStream getValue()

  Gets the binary data. After using the value, it is necessary to close the InputStream.

### setValue

    public void setValue(InputStream value)

  Sets the binary data.

### getSize

    public int getSize()

  Returns the size in bytes.

### setSize

    public void setSize(int size)

  Sets the size in bytes.

### toString

    public String toString()

  Returns the BinaryValue's name as a String.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved